Bug 314971 - file /usr/share/backgrounds/images/default.jpg from install of desktop-backgrounds-basic-7.92-6 conflicts with file from package fedora-logos-6.0.98-5.fc8
file /usr/share/backgrounds/images/default.jpg from install of desktop-backgr...
Product: Fedora
Classification: Fedora
Component: desktop-backgrounds (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-01 22:59 EDT by Gilles Detillieux
Modified: 2013-03-05 22:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-04 23:13:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gilles Detillieux 2007-10-01 22:59:32 EDT
Description of problem:
When trying a yum update of my rawhide system, I get the following Transaction
Check Error:
  file /usr/share/backgrounds/images/default.jpg from install of
desktop-backgrounds-basic-7.92-6 conflicts with file from package

As the desktop-backgrounds-basic RPM package in the development repository is
more recently updated than the fedora-logos package, I'm guessing the error was
introduced in the latest (7.92-6) release of desktop-backgrounds-basic.  Perhaps
the intent was to also update fedora-logos to remove the conflicting file from
that package, but it seems if that was the case, that update never got pushed
out to the repository.

As it stands, my system won't update automatically, and can only be updated
manually if I select the packages to update, omitting this
desktop-backgrounds-basic package to avoid the conflict.

Please remedy this.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run "yum -y update" on a rawhide system, set up to read from the development
2. Wait for transaction test.
3. Look at output.
Actual results:
Transaction Check Error reported above.

Expected results:
Installation of all available update packages.

Additional info:
This rawhide system began as an installation of Fedora 7 Test 4 i386, which just
kept updating itself from the development repository.  Is it possible that one
of the two conflicting packages is actually a vestige from the earlier days of
this system, and the package should have been removed but never did because of a
missing "Obsoletes" entry in some package?  This system occasionally went a few
months without updates, followed by a subsequent barrage of updates, so it may
be that some packages skipped a release or two, or things got updated in a
different order than would be expected from a continually running rawhide system.
Comment 1 Matthias Clasen 2007-10-04 23:13:15 EDT
fedora-logos-6.0.98 is outdated. 
The current release is fedora-logos-7.92.4-1.fc8, and it doesn't conflict with
the current desktop-backgrounds-basic.
Try updating just fedora-logos first.
Comment 2 Gilles Detillieux 2007-10-05 00:11:03 EDT
Thanks.  Yes, it turns out that in a massive yum update in late August, the new
release of fedora-logs was installed, but for some reason the old package didn't
get erased, so I had both versions installed.  After removing the old package,
another yum update installed the new desktop-backgrounds-basic, and removed two
older versions of that package.  I should probably check for other packages that
should have been removed but weren't.

Note You need to log in before you can comment on or make changes to this bug.